## 注意
```
  1、redis、postgres可通过values.yaml中enabled控制是否部署；
  2、服务配置的redis连接地址，需要和apaas中配置的地址保持一致；
  3、values.yaml中的global参数均有注释，请根据注释配置正确。
```

## Install
```
  helm install \
  beagle-approval-process \
  /etc/kubernetes/charts/beagle-approval-process \
  --namespace beagle-approval-process \
  -f /etc/kubernetes/charts/beagle-approval-process/values.yaml
```

## Upgrade
```
  helm upgrade \
  beagle-approval-process \
  /etc/kubernetes/charts/beagle-approval-process \
  --namespace beagle-approval-process \
  -f /etc/kubernetes/charts/beagle-approval-process/values.yaml
```

## Uninstall
```
  helm uninstall \
  beagle-approval-process \
  --namespace beagle-approval-process
  
  kubectl delete ns beagle-approval-process
```

## Template
```
  helm template \
  beagle-approval-process \
  /etc/kubernetes/charts/beagle-approval-process \
  --namespace beagle-approval-process \
  -f /etc/kubernetes/charts/beagle-approval-process/values.yaml >  /etc/kubernetes/charts/beagle-approval-process-dist.yaml
```


```
kubectl create ns beagle-approval-process

# 1. Package
helm package .

# 2. Install
helm install \
beagle-approval-process \
/etc/kubernetes/charts/beagle-approval-process-v2.6-apaasv5.tgz \
--namespace beagle-approval-process \
-f /etc/kubernetes/charts/beagle-approval-process-v2.6-apaasv5.yaml

# 3. Upgrade
helm upgrade \
beagle-approval-process \
/etc/kubernetes/charts/beagle-approval-process-v2.6-apaasv5.tgz \
--namespace beagle-approval-process \
-f /etc/kubernetes/charts/beagle-approval-process-v2.6-apaasv5.yaml

# 4. Uninstall
helm uninstall \
beagle-approval-process \
--namespace beagle-approval-process


# 5. Template
helm template \
beagle-approval-process \
/etc/kubernetes/charts/beagle-approval-process-v2.6-apaasv5.tgz \
--namespace beagle-approval-process \
-f /etc/kubernetes/charts/beagle-approval-process-v2.6-apaasv5.yaml >  /etc/kubernetes/charts/beagle-approval-process-dist.yaml
```